import 'package:dio/dio.dart';

class NetworkOptions {
  String? method;
  int? sendTimeout;
  int? receiveTimeout;
  Map<String, dynamic>? extra;
  Map<String, dynamic>? headers;
  ResponseType? responseType;
  String? contentType;
  ValidateStatus? validateStatus;
  bool? receiveDataWhenStatusError;
  bool? followRedirects;
  int? maxRedirects;
  RequestEncoder? requestEncoder;
  ResponseDecoder? responseDecoder;
  ListFormat? listFormat;
  NetworkOptions({
    this.method,
    this.sendTimeout,
    this.receiveTimeout,
    this.extra,
    this.headers,
    this.responseType,
    this.contentType,
    this.validateStatus,
    this.receiveDataWhenStatusError,
    this.followRedirects,
    this.maxRedirects,
    this.requestEncoder,
    this.responseDecoder,
    this.listFormat,
  });
}
